\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - dD Triangulations

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Triangulation_ds_vertex< TriangulationDataStructure > Class Template Reference
Vertex, Face and Cell Classes

`#include <CGAL/Triangulation_ds_vertex.h>`

## Definition

The class `Triangulation_ds_vertex` serves as the default vertex template parameter in the class `Triangulation_data_structure<Dimensionality, TriangulationDSVertex, TriangulationDSFullCell>`.

This class does not contain any geometric information but only combinatorial (adjacency) information. Thus, if the `Triangulation_data_structure` is used as a parameter of a (embedded) `Triangulation`, then its vertex template parameter has to fulfill additional geometric requirements, i.e., it has to be a model of the refined concept `TriangulationVertex`.

This class can be used directly or can serve as a base to derive other classes with some additional attributes tuned for a specific application (a color for example).

## Parameters

The template parameter `TriangulationDataStructure` must be a model of the `TriangulationDataStructure` concept.

Is Model Of:
  TriangulationDSVertex

## Rebind mechanism

In case of derivation from that class, the nested class `Rebind_TDS` need to be provided in the derived class.

See Also
  `Triangulation_ds_full_cell<TriangulationDataStructure, TriangulationDSFullCellStoragePolicy>`
  `Triangulation_data_structure<Dimensionality, TriangulationDSVertex, TriangulationDSFullCell>>`

## Validity check
bool | is_valid (bool verbose=false) const
| Advanced Implements the validity checks required by the concept `TriangulationDSVertex`. More...

## Member Function Documentation

template<typename TriangulationDataStructure >

bool CGAL::Triangulation_ds_vertex< TriangulationDataStructure >::is_valid | ( | bool | verbose = `false`) |  | const

Advanced
Implements the validity checks required by the concept `TriangulationDSVertex`.

Does not implement additional checks.